;Alarm.ahk
;
;insert_nick @2006
;
;USAGE: 
;	1) set the alarm time setting the "alarm" variable
;	2) choose the alarm type uncommenting the desired "Gosub, ALARMx";
;	3) execute the script

#SingleInstance,off
#Persistent,On

applicationname=Alarm

Gosub,TRAYMENU

alarm=2030 ;alarm time (hhmm)
checkevery=59000 ;time between checks in ms

SetTimer,CHECK,%checkevery%
Return

CHECK:
SetTimer,CHECK,Off
StringMid,now,A_Now,9,4
If (now>=alarm)
{
	;alarm type - the call to the desired alarm has to be left uncommented:
	
	Gosub,ALARM1 ;indefinetely beeps until app is closed manually (from the system tray)
	;Gosub,ALARM2 ;just a single beep	
	;...
	;...(of course several other custom alarms can be created, e.g. playing a sound file etc.)
}
SetTimer,CHECK,%checkevery%
Return

ALARM1:
SoundBeep,1000,100
SetTimer,ALARM1,100
Return

ALARM2:
SoundBeep,750,1000
Gosub,EXIT
Return

TRAYMENU:
Menu,Tray,NoStandard
Menu,Tray,DeleteAll
Menu,Tray,Add,%applicationname%,SWAP
Menu,Tray,Add,
Menu,Tray,Add,&Enabled,SWAP
Menu,Tray,Add,
Menu,Tray,Add,E&xit,EXIT
Menu,Tray,Check,&Enabled
Menu,Tray,Default,%applicationname%
Menu,Tray,Tip,%applicationname%
I_Icon = Icons\Alarm.ico
if I_Icon <>
	IfExist, %I_Icon%
		Menu, Tray, Icon, %I_Icon%		
Return

SWAP:
Menu,Tray,ToggleCheck,&Enabled
Suspend,Toggle
Return

EXIT:
ExitApp
